document.addEventListener("DOMContentLoaded", function() {
    //adding onclick event to "deactivate" button for ours plugin
    jQuery('#deactivate-fastpixel-website-accelerator').on('click', function (e) { 
        //preventing default behaviour
        e.preventDefault(); 
        //getting parent cell
        const parent = jQuery(this).parents('td.column-primary');
        //initializing buttons
        const btn_continue = jQuery('<a href="' + fastpixel_popup.btn_deactivate_link + '" class="popup-btn">' + fastpixel_popup.btn_deactivate + '</a>');
        const btn_delete = jQuery('<a href="' + fastpixel_popup.btn_delete_link + '" class="popup-btn">' + fastpixel_popup.btn_delete + '</a>');
        const btn_close = jQuery('<button id="fastpixel-website-accelerator-close-modal" class="fastpixel-close"></button>');
        //initializing text message
        const message = jQuery('<div class="fastpixel-message">' + fastpixel_popup.deactivation_message + '</div>');
        //initializing container for buttons
        const btn_container = jQuery('<div class="fastpixel-popup-btn-container"></div>');
        //adding buttons to container
        btn_container.append(btn_continue).append(btn_delete);
        //adding popup into parent cell
        const popup = jQuery('<div id="fastpixel-deactivation-popup" class="fastpixel-deactivation-popup"></div>').append(btn_close).append(message).append(btn_container);
        parent.prepend(popup);
    })
    //adding onclick event to popup close button 
    jQuery('body').on('click', '#fastpixel-website-accelerator-close-modal', function (e) { 
        e.preventDefault();
        //removing popup
        jQuery('#fastpixel-deactivation-popup').remove();
    });
});
