<?php
defined('ABSPATH') || exit;

//include abstract models
include_once(FASTPIXEL_PLUGIN_DIR . '/inc/backend/models/api_key.php');
include_once(FASTPIXEL_PLUGIN_DIR . '/inc/backend/models/action.php');
include_once(FASTPIXEL_PLUGIN_DIR . '/inc/backend/models/diag.php');
//include action models
if ($handle = opendir(FASTPIXEL_PLUGIN_DIR . '/inc/backend/models/actions/')) {
    while (false !== ($entry = readdir($handle))) {
        if (!in_array($entry,['.', '..'])) {
            include_once(FASTPIXEL_PLUGIN_DIR . '/inc/backend/models/actions/' . $entry);
        }
    }
    closedir($handle);
}
//include posts table model
include_once(FASTPIXEL_PLUGIN_DIR . '/inc/backend/models/posts-ui.php');

//include controllers
require(FASTPIXEL_PLUGIN_DIR . '/inc/backend/controllers/functions.php');
require(FASTPIXEL_PLUGIN_DIR . '/inc/backend/controllers/notices.php');
require(FASTPIXEL_PLUGIN_DIR . '/inc/backend/controllers/controller.php');
require(FASTPIXEL_PLUGIN_DIR . '/inc/backend/controllers/actions.php');
require(FASTPIXEL_PLUGIN_DIR . '/inc/backend/controllers/ui.php');
require(FASTPIXEL_PLUGIN_DIR . '/inc/backend/controllers/cache.php');
require(FASTPIXEL_PLUGIN_DIR . '/inc/backend/controllers/diag.php');